LIBJXL

Classes | Typedefs
encode_cxx.h File Reference

C++ header-only helper for encode.h. More...

`#include <memory>`
`#include "jxl/encode.h"`
Include dependency graph for encode_cxx.h:

Go to the source code of this file.

## Classes
struct | JxlEncoderDestroyStruct
| Struct to call JxlEncoderDestroy from the JxlEncoderPtr unique_ptr. More...

## Typedefs
typedef std::unique_ptr< JxlEncoder, JxlEncoderDestroyStruct > | JxlEncoderPtr

## Detailed Description

C++ header-only helper for encode.h.

There's no binary library associated with the header since this is a header only library.

## Typedef Documentation

## ◆ JxlEncoderPtr

typedef std::unique_ptr<JxlEncoder, JxlEncoderDestroyStruct> JxlEncoderPtr

std::unique_ptr<> type that calls JxlEncoderDestroy() when releasing the encoder.

Use this helper type from C++ sources to ensure the encoder is destroyed and their internal resources released.